ci:
  autoupdate_schedule: monthly
repos:
- repo: https://github.com/astral-sh/ruff-pre-commit
  rev: v0.8.1
  hooks:
    - id: ruff
    - id: ruff-format
- repo: https://github.com/python-jsonschema/check-jsonschema
  rev: 0.30.0
  hooks:
    - id: check-github-workflows
    - id: check-readthedocs
- repo: https://github.com/asottile/blacken-docs
  rev: 1.19.1
  hooks:
  - id: blacken-docs
    additional_dependencies: [black==24.10.0]
- repo: https://github.com/pre-commit/mirrors-mypy
  rev: v1.13.0
  hooks:
  - id: mypy
    additional_dependencies: ["marshmallow>=3,<4", "Flask"]
